> ## Documentation Index
> Fetch the complete documentation index at: https://api.veda.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Document



## OpenAPI

````yaml POST /api/v1/persons/{personId}/personnel-file
openapi: 3.1.0
info:
  title: VEDA API
  description: >
    The VEDA API is a unified API that provides access to various components of
    the VEDA HR Cloud. It simplifies

    the integration process by offering a single entry point for all API
    requests.
  contact:
    name: Eike Kempkes
    email: eike.kempkes@veda.net
  version: v1
servers:
  - url: https://your-environment.cloud.veda.net
security: []
paths:
  /api/v1/persons/{personId}/personnel-file:
    post:
      tags:
        - personnel-file-controller
      operationId: postPersonnelFile
      parameters:
        - name: personId
          in: path
          description: ID of the person to upload the document for
          required: true
          schema:
            type: string
            description: ID of the person to upload the document for
        - name: documentFolderId
          in: query
          description: Document folder into which the document should be uploaded
          required: true
          schema:
            type: string
            format: uuid
            description: Document folder into which the document should be uploaded
        - name: fileName
          in: query
          description: File name of the document to upload
          required: true
          schema:
            type: string
            description: File name of the document to upload
        - name: documentDate
          in: query
          description: Document date of the file
          required: false
          schema:
            type: string
            format: date
            description: Document date of the file
        - name: retentionPeriod
          in: query
          description: Retention period of the file
          required: true
          schema:
            type: string
            description: Retention period of the file
            enum:
              - NONE
              - ONE_YEAR
              - TWO_YEARS
              - THREE_YEARS
              - FIVE_YEARS
              - SIX_YEARS
              - TEN_YEARS
              - THIRTY_YEARS
        - name: retentionPeriodBase
          in: query
          description: Base for the retention period of the file
          required: false
          schema:
            type: string
            default: EXIT_DATE
            description: Decide the base for the calculation of the retention period
            enum:
              - DOCUMENT_DATE
              - EXIT_DATE
      requestBody:
        content:
          application/octet-stream:
            schema:
              type: string
              format: binary
              description: Binary content of the file to upload
        required: true
      responses:
        '200':
          description: OK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.